com.lowagie.text.pdf

## Class PdfColor

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfArray
    - - com.lowagie.text.pdf.PdfColor

     class PdfColor
    extends PdfArray

A `PdfColor` defines a Color (it's a `PdfArray` containing 3 values).

See Also:
  `PdfDictionary`

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.PdfArray

`arrayList`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfColor(java.awt.Color color)`
`PdfColor(int red, int green, int blue)` Constructs a new `PdfColor`.

### Method Summary

### Methods inherited from class com.lowagie.text.pdf.PdfArray

`add, add, add, add, addFirst, contains, getArrayList, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getPdfObject, isEmpty, listIterator, remove, set, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PdfColor

    PdfColor(int red,
            int green,
            int blue)

Constructs a new `PdfColor`.

Parameters:
  `red` - a value between 0 and 255
  `green` - a value between 0 and 255
  `blue` - a value between 0 and 255

#### PdfColor

    PdfColor(java.awt.Color color)